cURL
curl -X POST "$EXSITED_BASE_URL/api/v4/orders/ORD-0001/downgrade" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"effective_date": "2026-10-01",
"lines": [
{
"charge_item_uuid": "0c9b8a7d-6e5f-4a3b-9c2d-1e0f9a8b7c6d",
"package_name": "Basic"
}
]
}'from exsited import build_client
client = build_client()
response = client.orders.downgrade_order(
"ORD-0001",
{
"effective_date": "2026-10-01",
"lines": [
{
"charge_item_uuid": "0c9b8a7d-6e5f-4a3b-9c2d-1e0f9a8b7c6d",
"package_name": "Basic",
}
],
},
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.orders.downgradeOrder('ORD-0001', {
effective_date: '2026-10-01',
lines: [{charge_item_uuid: '0c9b8a7d-6e5f-4a3b-9c2d-1e0f9a8b7c6d', package_name: 'Basic'}],
});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->orders->downgradeOrder('ORD-0001', [
'effective_date' => '2026-10-01',
'lines' => [
['charge_item_uuid' => '0c9b8a7d-6e5f-4a3b-9c2d-1e0f9a8b7c6d', 'package_name' => 'Basic'],
],
]);
print_r($response->data);
import com.exsited.Dto;
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import java.util.List;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<Dto> response = client.orders().downgradeOrder(
"ORD-0001",
Map.of(
"effective_date", "2026-10-01",
"lines", List.of(
Map.of(
"charge_item_uuid", "0c9b8a7d-6e5f-4a3b-9c2d-1e0f9a8b7c6d",
"package_name", "Basic"))));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Orders.DowngradeOrderAsync(
"ORD-0001",
new Dictionary<string, object?>
{
["effective_date"] = "2026-10-01",
["lines"] = new List<object?>
{
new Dictionary<string, object?>
{
["charge_item_uuid"] = "0c9b8a7d-6e5f-4a3b-9c2d-1e0f9a8b7c6d",
["package_name"] = "Basic",
},
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.orders.downgradeOrder('ORD-0001', {
'effective_date': '2026-10-01',
'lines': [
{
'charge_item_uuid': '0c9b8a7d-6e5f-4a3b-9c2d-1e0f9a8b7c6d',
'package_name': 'Basic',
},
],
});
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.Orders().DowngradeOrder(context.Background(), "ORD-0001", map[string]any{
"effective_date": "2026-10-01",
"lines": []any{
map[string]any{
"charge_item_uuid": "0c9b8a7d-6e5f-4a3b-9c2d-1e0f9a8b7c6d",
"package_name": "Basic",
},
},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
Orders
Downgrade an order
Moves a contract’s lines to a lower package from a date.
POST
/
orders
/
{order_id}
/
downgrade
cURL
curl -X POST "$EXSITED_BASE_URL/api/v4/orders/ORD-0001/downgrade" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"effective_date": "2026-10-01",
"lines": [
{
"charge_item_uuid": "0c9b8a7d-6e5f-4a3b-9c2d-1e0f9a8b7c6d",
"package_name": "Basic"
}
]
}'from exsited import build_client
client = build_client()
response = client.orders.downgrade_order(
"ORD-0001",
{
"effective_date": "2026-10-01",
"lines": [
{
"charge_item_uuid": "0c9b8a7d-6e5f-4a3b-9c2d-1e0f9a8b7c6d",
"package_name": "Basic",
}
],
},
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.orders.downgradeOrder('ORD-0001', {
effective_date: '2026-10-01',
lines: [{charge_item_uuid: '0c9b8a7d-6e5f-4a3b-9c2d-1e0f9a8b7c6d', package_name: 'Basic'}],
});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->orders->downgradeOrder('ORD-0001', [
'effective_date' => '2026-10-01',
'lines' => [
['charge_item_uuid' => '0c9b8a7d-6e5f-4a3b-9c2d-1e0f9a8b7c6d', 'package_name' => 'Basic'],
],
]);
print_r($response->data);
import com.exsited.Dto;
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import java.util.List;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<Dto> response = client.orders().downgradeOrder(
"ORD-0001",
Map.of(
"effective_date", "2026-10-01",
"lines", List.of(
Map.of(
"charge_item_uuid", "0c9b8a7d-6e5f-4a3b-9c2d-1e0f9a8b7c6d",
"package_name", "Basic"))));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Orders.DowngradeOrderAsync(
"ORD-0001",
new Dictionary<string, object?>
{
["effective_date"] = "2026-10-01",
["lines"] = new List<object?>
{
new Dictionary<string, object?>
{
["charge_item_uuid"] = "0c9b8a7d-6e5f-4a3b-9c2d-1e0f9a8b7c6d",
["package_name"] = "Basic",
},
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.orders.downgradeOrder('ORD-0001', {
'effective_date': '2026-10-01',
'lines': [
{
'charge_item_uuid': '0c9b8a7d-6e5f-4a3b-9c2d-1e0f9a8b7c6d',
'package_name': 'Basic',
},
],
});
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.Orders().DowngradeOrder(context.Background(), "ORD-0001", map[string]any{
"effective_date": "2026-10-01",
"lines": []any{
map[string]any{
"charge_item_uuid": "0c9b8a7d-6e5f-4a3b-9c2d-1e0f9a8b7c6d",
"package_name": "Basic",
},
},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
Send
effective_date and lines at the top level of the body, not under order. Each line names its charge_item_uuid and the package_name to move to.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token. To send a raw JSON body instead of filling in fields, copy the cURL sample and edit its -d payload.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Path Parameters
The order's id, as GET /orders lists it.
Body
application/json
Response
200
The order is downgraded.